OpenTTD Source: SetBitIterator< Tbitpos, Tbitset >::Iterator Struct Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions | Private Member Functions | Private Attributes
SetBitIterator< Tbitpos, Tbitset >::Iterator Struct Reference

## Public Types
typedef Tbitpos | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef size_t | difference_type
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions
| Iterator (Tbitset bitset)
bool | operator== (const Iterator &other) const
bool | operator!= (const Iterator &other) const
Tbitpos | operator* () const
Iterator & | operator++ ()

## Private Member Functions
void | Validate ()
void | Next ()

## Private Attributes
Tbitset | bitset
Tbitpos | bitpos

## Detailed Description

template<typename Tbitpos = uint, typename Tbitset = uint>
struct SetBitIterator< Tbitpos, Tbitset >::Iterator

Definition at line 302 of file bitmath_func.hpp.

## Member Typedef Documentation

## ◆ difference_type

template<typename Tbitpos = uint, typename Tbitset = uint>

typedef size_t SetBitIterator< Tbitpos, Tbitset >::Iterator::difference_type

Definition at line 306 of file bitmath_func.hpp.

## ◆ iterator_category

template<typename Tbitpos = uint, typename Tbitset = uint>

typedef std::forward_iterator_tag SetBitIterator< Tbitpos, Tbitset >::Iterator::iterator_category

Definition at line 307 of file bitmath_func.hpp.

## ◆ pointer

template<typename Tbitpos = uint, typename Tbitset = uint>

typedef value_type* SetBitIterator< Tbitpos, Tbitset >::Iterator::pointer

Definition at line 304 of file bitmath_func.hpp.

## ◆ reference

template<typename Tbitpos = uint, typename Tbitset = uint>

typedef value_type& SetBitIterator< Tbitpos, Tbitset >::Iterator::reference

Definition at line 305 of file bitmath_func.hpp.

## ◆ value_type

template<typename Tbitpos = uint, typename Tbitset = uint>

typedef Tbitpos SetBitIterator< Tbitpos, Tbitset >::Iterator::value_type

Definition at line 303 of file bitmath_func.hpp.

## Constructor & Destructor Documentation

## ◆ Iterator()

template<typename Tbitpos = uint, typename Tbitset = uint>

SetBitIterator< Tbitpos, Tbitset >::Iterator::Iterator | ( | Tbitset | bitset | ) |
| inlineexplicit

Definition at line 309 of file bitmath_func.hpp.

## Member Function Documentation

## ◆ Next()

template<typename Tbitpos = uint, typename Tbitset = uint>

void SetBitIterator< Tbitpos, Tbitset >::Iterator::Next | ( |  | ) |
| inlineprivate

Definition at line 332 of file bitmath_func.hpp.

## ◆ operator!=()

template<typename Tbitpos = uint, typename Tbitset = uint>

bool SetBitIterator< Tbitpos, Tbitset >::Iterator::operator!= | ( | const Iterator & | other | ) | const
| inline

Definition at line 318 of file bitmath_func.hpp.

## ◆ operator*()

template<typename Tbitpos = uint, typename Tbitset = uint>

Tbitpos SetBitIterator< Tbitpos, Tbitset >::Iterator::operator* | ( |  | ) | const
| inline

Definition at line 319 of file bitmath_func.hpp.

## ◆ operator++()

template<typename Tbitpos = uint, typename Tbitset = uint>

Iterator & SetBitIterator< Tbitpos, Tbitset >::Iterator::operator++ | ( |  | ) |
| inline

Definition at line 320 of file bitmath_func.hpp.

## ◆ operator==()

template<typename Tbitpos = uint, typename Tbitset = uint>

bool SetBitIterator< Tbitpos, Tbitset >::Iterator::operator== | ( | const Iterator & | other | ) | const
| inline

Definition at line 314 of file bitmath_func.hpp.

## ◆ Validate()

template<typename Tbitpos = uint, typename Tbitset = uint>

void SetBitIterator< Tbitpos, Tbitset >::Iterator::Validate | ( |  | ) |
| inlineprivate

Definition at line 325 of file bitmath_func.hpp.

## Field Documentation

## ◆ bitpos

template<typename Tbitpos = uint, typename Tbitset = uint>

Tbitpos SetBitIterator< Tbitpos, Tbitset >::Iterator::bitpos
| private

Definition at line 324 of file bitmath_func.hpp.

## ◆ bitset

template<typename Tbitpos = uint, typename Tbitset = uint>

Tbitset SetBitIterator< Tbitpos, Tbitset >::Iterator::bitset
| private

Definition at line 323 of file bitmath_func.hpp.

The documentation for this struct was generated from the following file:

- src/core/bitmath_func.hpp